<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.srs.comprehensive.mapper.CphStuExtraInfoMapper">
    
    <resultMap type="CphStuExtraInfo" id="CphStuExtraInfoResult">
        <result property="id"    column="id"    />
        <result property="stuNo"    column="stu_no"    />
        <result property="mz"    column="mz"    />
        <result property="zzmm"    column="zzmm"    />
        <result property="jg"    column="jg"    />
        <result property="xx"    column="xx"    />
        <result property="ksh"    column="ksh"    />
        <result property="hksz1"    column="hksz1"    />
        <result property="hksz2"    column="hksz2"    />
        <result property="hksz3"    column="hksz3"    />
        <result property="hkszd"    column="hkszd"    />
        <result property="hkxz"    column="hkxz"    />
        <result property="hkxxdz"    column="hkxxdz"    />
        <result property="xsjzdz"    column="xsjzdz"    />
        <result property="sspcs"    column="sspcs"    />
        <result property="ssjd"    column="ssjd"    />
        <result property="chcqj"    column="chcqj"    />
        <result property="xxlxdz"    column="xxlxdz"    />
        <result property="yzbm"    column="yzbm"    />
        <result property="xjtdz"    column="xjtdz"    />
        <result property="jtyzbm"    column="jtyzbm"    />
        <result property="jtdh"    column="jtdh"    />
        <result property="dailyPhoto"    column="daily_photo"    />
        <result property="whitePhoto"    column="white_photo"    />
        <result property="redPhoto"    column="red_photo"    />
        <result property="bluePhoto"    column="blue_photo"    />
        <result property="status"    column="status"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="delFlag"    column="del_flag"    />
    </resultMap>

    <sql id="selectCphStuExtraInfoVo">
        select id, stu_no, mz, zzmm, jg, xx, ksh, hksz1, hksz2, hksz3, hkszd, hkxz, hkxxdz, xsjzdz, sspcs,
               ssjd, chcqj, xxlxdz, yzbm, xjtdz, jtyzbm, jtdh, daily_photo, white_photo, red_photo, blue_photo,
               status, create_by, create_time, update_by, update_time, del_flag from cph_stu_extra_info
    </sql>

    <select id="selectCphStuExtraInfoList" parameterType="CphStuExtraInfo" resultMap="CphStuExtraInfoResult">
        <include refid="selectCphStuExtraInfoVo"/>
        <where>  
            <if test="stuNo != null  and stuNo != ''"> and stu_no = #{stuNo}</if>
            <if test="mz != null  and mz != ''"> and mz = #{mz}</if>
            <if test="zzmm != null  and zzmm != ''"> and zzmm = #{zzmm}</if>
            <if test="jg != null  and jg != ''"> and jg = #{jg}</if>
            <if test="xx != null  and xx != ''"> and xx = #{xx}</if>
            <if test="ksh != null  and ksh != ''"> and ksh = #{ksh}</if>
            <if test="hksz1 != null  and hksz1 != ''"> and hksz1 = #{hksz1}</if>
            <if test="hksz2 != null  and hksz2 != ''"> and hksz2 = #{hksz2}</if>
            <if test="hksz3 != null  and hksz3 != ''"> and hksz3 = #{hksz3}</if>
            <if test="hkszd != null  and hkszd != ''"> and hkszd = #{hkszd}</if>
            <if test="hkxz != null  and hkxz != ''"> and hkxz = #{hkxz}</if>
            <if test="hkxxdz != null  and hkxxdz != ''"> and hkxxdz = #{hkxxdz}</if>
            <if test="xsjzdz != null  and xsjzdz != ''"> and xsjzdz = #{xsjzdz}</if>
            <if test="sspcs != null  and sspcs != ''"> and sspcs = #{sspcs}</if>
            <if test="ssjd != null  and ssjd != ''"> and ssjd = #{ssjd}</if>
            <if test="chcqj != null  and chcqj != ''"> and chcqj = #{chcqj}</if>
            <if test="xxlxdz != null  and xxlxdz != ''"> and xxlxdz = #{xxlxdz}</if>
            <if test="yzbm != null  and yzbm != ''"> and yzbm = #{yzbm}</if>
            <if test="xjtdz != null  and xjtdz != ''"> and xjtdz = #{xjtdz}</if>
            <if test="jtyzbm != null  and jtyzbm != ''"> and jtyzbm = #{jtyzbm}</if>
            <if test="jtdh != null  and jtdh != ''"> and jtdh = #{jtdh}</if>
            <if test="dailyPhoto != null  and dailyPhoto != ''"> and daily_photo = #{dailyPhoto}</if>
            <if test="whitePhoto != null  and whitePhoto != ''"> and white_photo = #{whitePhoto}</if>
            <if test="redPhoto != null  and redPhoto != ''"> and red_photo = #{redPhoto}</if>
            <if test="bluePhoto != null  and bluePhoto != ''"> and blue_photo = #{bluePhoto}</if>
            <if test="status != null  and status != ''"> and status = #{status}</if>
        </where>
    </select>
    
    <select id="selectCphStuExtraInfoById" parameterType="Long" resultMap="CphStuExtraInfoResult">
        <include refid="selectCphStuExtraInfoVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertCphStuExtraInfo" parameterType="CphStuExtraInfo" useGeneratedKeys="true" keyProperty="id">
        insert into cph_stu_extra_info
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="stuNo != null">stu_no,</if>
            <if test="mz != null">mz,</if>
            <if test="zzmm != null">zzmm,</if>
            <if test="jg != null">jg,</if>
            <if test="xx != null">xx,</if>
            <if test="ksh != null">ksh,</if>
            <if test="hksz1 != null">hksz1,</if>
            <if test="hksz2 != null">hksz2,</if>
            <if test="hksz3 != null">hksz3,</if>
            <if test="hkszd != null">hkszd,</if>
            <if test="hkxz != null">hkxz,</if>
            <if test="hkxxdz != null">hkxxdz,</if>
            <if test="xsjzdz != null">xsjzdz,</if>
            <if test="sspcs != null">sspcs,</if>
            <if test="ssjd != null">ssjd,</if>
            <if test="chcqj != null">chcqj,</if>
            <if test="xxlxdz != null">xxlxdz,</if>
            <if test="yzbm != null">yzbm,</if>
            <if test="xjtdz != null">xjtdz,</if>
            <if test="jtyzbm != null">jtyzbm,</if>
            <if test="jtdh != null">jtdh,</if>
            <if test="dailyPhoto != null">daily_photo,</if>
            <if test="whitePhoto != null">white_photo,</if>
            <if test="redPhoto != null">red_photo,</if>
            <if test="bluePhoto != null">blue_photo,</if>
            <if test="status != null and status != ''">status,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="delFlag != null and delFlag != ''">del_flag,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="stuNo != null">#{stuNo},</if>
            <if test="mz != null">#{mz},</if>
            <if test="zzmm != null">#{zzmm},</if>
            <if test="jg != null">#{jg},</if>
            <if test="xx != null">#{xx},</if>
            <if test="ksh != null">#{ksh},</if>
            <if test="hksz1 != null">#{hksz1},</if>
            <if test="hksz2 != null">#{hksz2},</if>
            <if test="hksz3 != null">#{hksz3},</if>
            <if test="hkszd != null">#{hkszd},</if>
            <if test="hkxz != null">#{hkxz},</if>
            <if test="hkxxdz != null">#{hkxxdz},</if>
            <if test="xsjzdz != null">#{xsjzdz},</if>
            <if test="sspcs != null">#{sspcs},</if>
            <if test="ssjd != null">#{ssjd},</if>
            <if test="chcqj != null">#{chcqj},</if>
            <if test="xxlxdz != null">#{xxlxdz},</if>
            <if test="yzbm != null">#{yzbm},</if>
            <if test="xjtdz != null">#{xjtdz},</if>
            <if test="jtyzbm != null">#{jtyzbm},</if>
            <if test="jtdh != null">#{jtdh},</if>
            <if test="dailyPhoto != null">#{dailyPhoto},</if>
            <if test="whitePhoto != null">#{whitePhoto},</if>
            <if test="redPhoto != null">#{redPhoto},</if>
            <if test="bluePhoto != null">#{bluePhoto},</if>
            <if test="status != null and status != ''">#{status},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="delFlag != null and delFlag != ''">#{delFlag},</if>
         </trim>
    </insert>

    <update id="updateCphStuExtraInfo" parameterType="CphStuExtraInfo">
        update cph_stu_extra_info
        <trim prefix="SET" suffixOverrides=",">
            <if test="stuNo != null">stu_no = #{stuNo},</if>
            <if test="mz != null">mz = #{mz},</if>
            <if test="zzmm != null">zzmm = #{zzmm},</if>
            <if test="jg != null">jg = #{jg},</if>
            <if test="xx != null">xx = #{xx},</if>
            <if test="ksh != null">ksh = #{ksh},</if>
            <if test="hksz1 != null">hksz1 = #{hksz1},</if>
            <if test="hksz2 != null">hksz2 = #{hksz2},</if>
            <if test="hksz3 != null">hksz3 = #{hksz3},</if>
            <if test="hkszd != null">hkszd = #{hkszd},</if>
            <if test="hkxz != null">hkxz = #{hkxz},</if>
            <if test="hkxxdz != null">hkxxdz = #{hkxxdz},</if>
            <if test="xsjzdz != null">xsjzdz = #{xsjzdz},</if>
            <if test="sspcs != null">sspcs = #{sspcs},</if>
            <if test="ssjd != null">ssjd = #{ssjd},</if>
            <if test="chcqj != null">chcqj = #{chcqj},</if>
            <if test="xxlxdz != null">xxlxdz = #{xxlxdz},</if>
            <if test="yzbm != null">yzbm = #{yzbm},</if>
            <if test="xjtdz != null">xjtdz = #{xjtdz},</if>
            <if test="jtyzbm != null">jtyzbm = #{jtyzbm},</if>
            <if test="jtdh != null">jtdh = #{jtdh},</if>
            <if test="dailyPhoto != null">daily_photo = #{dailyPhoto},</if>
            <if test="whitePhoto != null">white_photo = #{whitePhoto},</if>
            <if test="redPhoto != null">red_photo = #{redPhoto},</if>
            <if test="bluePhoto != null">blue_photo = #{bluePhoto},</if>
            <if test="status != null and status != ''">status = #{status},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="delFlag != null and delFlag != ''">del_flag = #{delFlag},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteCphStuExtraInfoById" parameterType="Long">
        delete from cph_stu_extra_info where id = #{id}
    </delete>

    <delete id="deleteCphStuExtraInfoByIds" parameterType="String">
        delete from cph_stu_extra_info where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>